%define upstream_name	 Set-Object
%define upstream_version 1.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Set of objects and strings in Perl
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Set/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
This module implements a set of objects, that is, an unordered collection of
objects without duplication.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# should not have been included
# http://rt.cpan.org/Ticket/Display.html?id=37799
rm -f t/misc/threads.t

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorarch}/Set
%{perl_vendorarch}/auto/Set
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.350.0-5pclos2017
- rebuild against updates

